Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.login
Class AppConfigurationEntry.LoginModuleControlFlag

    java.lang.Object
      javax.security.auth.login.AppConfigurationEntry.LoginModuleControlFlag

Enclosing class:
  AppConfigurationEntry

    public static class AppConfigurationEntry.LoginModuleControlFlag

extends Object

This class represents whether or not a `LoginModule` is REQUIRED, REQUISITE, SUFFICIENT or OPTIONAL.

Field Summary
`static AppConfigurationEntry.LoginModuleControlFlag` | `OPTIONAL` Optional `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` | `REQUIRED` Required `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` | `REQUISITE` Requisite `LoginModule`.
`static AppConfigurationEntry.LoginModuleControlFlag` | `SUFFICIENT` Sufficient `LoginModule`.

Method Summary
`String` | `toString()` Return a String representation of this controlFlag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REQUIRED

    public static final AppConfigurationEntry.LoginModuleControlFlag REQUIRED

  Required `LoginModule`.

### REQUISITE

    public static final AppConfigurationEntry.LoginModuleControlFlag REQUISITE

  Requisite `LoginModule`.

### SUFFICIENT

    public static final AppConfigurationEntry.LoginModuleControlFlag SUFFICIENT

  Sufficient `LoginModule`.

### OPTIONAL

    public static final AppConfigurationEntry.LoginModuleControlFlag OPTIONAL

  Optional `LoginModule`.

Method Detail

### toString

    public String toString()

  Return a String representation of this controlFlag.

  The String has the format, "LoginModuleControlFlag: flag", where flag is either required, requisite, sufficient, or optional.

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of this controlFlag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.